<?
if ($use) {                        //linkИспользовать
if ($use=="item.vinokl") {
require "predmet/vinokl.php";
}
if ($use=="item.c.complect") {
require "predmet/complect.dat";
}
if ($use=="item.bomba") {
require "predmet/bomba.dat";
}
// запрещено
if ($player["loc"]=="loc.bank" && substr($use,0,9)=="item.rune") msg("Кастовать магию сдесь запрещено.");
if ($player["loc"]=="loc.bank" && substr($use,0,11)=="item.scroll") msg("Кастовать магию сдесь запрещено.");
// уровень на броне
if (substr($use,0,10)=='item.armor') {
$item=split("\|",$player["items"][$use]);
$sk=split("\|",$player["skills"]);
if ($sk[28]<$item[4]) msg("Вы не можете одеть $item[0], т.к. нехватает уровень $sk[28]($item[4])");
}
if (substr($use,0,12)=='item.weapon.') {
$item=split("\|",$player["items"][$use]);
$sk=split("\|",$player["skills"]);
if ($sk[28]<$item[10]) msg("Вы не можете одеть $item[0], т.к. нехватает уровень $sk[28]($item[10])");
}
if (substr($use,0,11)=='item.scroll') {
$item=split("\|",$player["items"][$use]);
$sk=split("\|",$player["skills"]);
if ($sk[28]<$item[3]) msg("Вы не можете испоьзовать $item[0], т.к. нехватает уровень $sk[28]($item[3])");
}
if (substr($use,0,9)=='item.rune') {
$item=split("\|",$player["items"][$use]);
$sk=split("\|",$player["skills"]);
if ($sk[28]<$item[3]) msg("Вы не можете использовать $item[0], т.к. нехватает уровень $sk[28]($item[3])");
}
        // если нужна цель, то задаем $list='all' и ниже выведется список целей
        if ($player["ghost"]) msg("<p>Вы призрак и поэтому не можете ничего использовать, найдите лекаря или камень воскрешения");
        $player["macros"]["last"]["action"]="use";
        $player["macros"]["last"]["object"]="\"".$use."\"";
        $player["macros"]["last"]["target"]="\"".$to."\"";
        $scroll = 0;                                 // кастуем не со свитка, может измениться, если используем предмет-свиток
        if (substr($use,0,5)=="item.")  require"useitem.php";
        if (substr($use,0,6)=="magic.") require"usemagic.php";
        if (substr($use,0,6)=="skill.") require"useskill.php";
        }
		?>

